# File tres/Scripts/tcheck.cl
# By Doug Mink
# April 8, 2009

# TCHECK -- Check to see whether current directory is raw dirctory

procedure tcheck

bool	rawdir=yes	{prompt="Set to yes if in raw data directory (returned)"}
bool	quickdir=yes	{prompt="Set to yes if in quick-look directory (returned)"}
string	datedir=""	{prompt="Date directory if in raw data directory (returned)"}
bool	verbose=no	{prompt="Print raw data and working directories (yes or no)"}

struct *dirfiles

begin
    bool vb
    file idir, qdir
    string instdir, wdir, mdir

    vb = verbose

    datedir = ""
    rawdir = no
    quickdir = no

# Get working directory
    if (vb)
	pwd
    pwd | scan (wdir)

# If the raw directory is in the working directory string, set date and flag
    instdir = trsdate.instdir
    fixdir (instdir)
    idir = fixdir.newdir

    smatch (wdir, idir)
    if (smatch.found) {
	if (vb)
	    print ("In raw data directory ", wdir)
#	print ("You cannot run quick-look in the raw data directory!")
#	print ("Run trsdate yyyy.mmdd to get to the correct quick-look directory")
#	print ("(It will be created if it does not already exist)")
	rawdir = yes
	smatch (wdir, "20")
	if (smatch.found) {
	    datedir = substr (wdir, smatch.start, smatch.start+8)
	    }
	else {
	    gettime (0.0, timediff=99)
	    datedir = gettime.datadir
	    }
	if (vb)
	    print ("Date directory is ", datedir)
	return
	}

# If quick-look directory is in the working directory string, set date and flag
    qdir = trsdate.quickdir
    smatch (qdir, "tresq")
    if (smatch.found)
	mdir = "tresq"
    else
	mdir = qdir

    smatch (wdir, mdir)
    if (smatch.found) {
	if (vb)
	    print ("In processing directory ", wdir)
	smatch (wdir, "20")
	if (smatch.found) {
	    datedir = substr (wdir, smatch.start, smatch.start+8)
	    }
	else {
	    gettime (0.0, timediff=99)
	    datedir = gettime.datadir
	    }
	quickdir = yes
	if (vb)
	    print ("Date directory is ", datedir)
	}
    else {
	print ("In directory ", wdir, " - No date directory set")
	}

    return

end

# Oct 14 2008	New program based on tdata
# Oct 16 2008	Change returned stopproc to rawdir and add datedir parameter
# Oct 23 2008	Add check for quick-look directory and set quickdir if in it
# Dec 15 2008	Add timediff argument to GETTIME to get current time

# Apr  8 2009	Add verbose output to check date directory setting
