# File hectospec/trsplot.cl
# March 31, 2009
# By Doug Mink, Harvard-Smithsonian Center for Astrophysics

# TRSPLOT -- Use rvsao.emsao to plot emission and absorption lines
#	      already found in a spectrum file or list of spectra

procedure tharplot (spectra, order)

string	spectra=""	{prompt="RFN or file"}
string  order="1"	{prompt="Spectrum order(s) to plot"}

string  specdir=""	{prompt="Directory for spectrum to plot"}
string  ablines=""	{prompt="File of absorption lines to label"}
string  emlines=""	{prompt="File of emission lines to label"}
string  emcombine="" {prompt="File of emission lines to label"}
string  linedir="tres$lib/" {prompt="Directory for lines to label"}
int	nsmooth=0	{prompt="Number of times to smooth spectrum"}
bool	debug=no	{prompt="Run EMSAO in debugging mode (yes or no)"}

begin
string	eml

if (!defpac ("rvsao"))
    rvsao (motd=no)

if (emlines != "") {
    eml = "+" // emlines
    }

emsao (spectra,specnum=order,specdir=specdir,nsmooth=nsmooth,vel_init="emission",vel_corr="none",czguess=0.0,linefit=no,curmode=yes,ablines=ablines,emlines=eml,emcombine=emcombine,emsearch="",linedir=linedir,logfiles="",save_vel=no,vel_plot="emission",displot=yes,dispmode=3,debug=debug)
 
end

# Mar 31 2009	New script based on tres.tharplot
